#!/usr/bin/env python3.2

from pgtools import pgbrowser
from common import prettysize
from toolbase import ToolBase


class BigTablesTool(ToolBase):
    def __init__(self):
        ToolBase.__init__(self, name='bigtables', desc='List largest tables.')
        self.init()

    def main(self):
        browser = pgbrowser.PgBrowser(self.pgm.get_conn('target'))

        tables = browser.list_tables()
        for table in sorted(tables, reverse=True, key=lambda x: x['size'])[:20]:
            print(prettysize.prettysize_short(table['size']).rjust(8), table['name'], sep='  ')


tool = BigTablesTool()
tool.main()

